# Uses of Class
org.springframework.mock.http.server.reactive.MockServerHttpRequest

Packages that use MockServerHttpRequest
Package
Description
org.springframework.mock.http.server.reactive
Mock implementations of reactive HTTP server contracts.
org.springframework.mock.web.server
Mock implementations of Spring's reactive server web API abstractions.

## Uses of MockServerHttpRequest in org.springframework.mock.http.server.reactive

Methods in org.springframework.mock.http.server.reactive that return MockServerHttpRequest
Modifier and Type
Method
Description
`MockServerHttpRequest`
MockServerHttpRequest.BodyBuilder.`body(String body)`
Set the body of the request and build it.
`MockServerHttpRequest`
MockServerHttpRequest.BodyBuilder.`body(Publisher<? extends org.springframework.core.io.buffer.DataBuffer> body)`
Set the body of the request and build it.
`MockServerHttpRequest`
MockServerHttpRequest.BaseBuilder.`build()`
Builds the request with no body.

## Uses of MockServerHttpRequest in org.springframework.mock.web.server

Methods in org.springframework.mock.web.server with parameters of type MockServerHttpRequest
Modifier and Type
Method
Description
`static MockServerWebExchange.Builder`
MockServerWebExchange.`builder(MockServerHttpRequest request)`
Create a `MockServerWebExchange.Builder` starting with the given mock request.
`static MockServerWebExchange`
MockServerWebExchange.`from(MockServerHttpRequest request)`
Create a `MockServerWebExchange` from the given mock request.
Constructors in org.springframework.mock.web.server with parameters of type MockServerHttpRequest
Modifier
Constructor
Description
``
`Builder(MockServerHttpRequest request)`